Skip to content

General Information

All operations require authentication.

5 operationsv1/saas/csp2
Agent setup

List tenantsAlpha

GET
/1.0/saas/csp2

Returns the service names of the tenants.

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/saas/csp2 \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a tenantAlpha

GET
/1.0/saas/csp2/{serviceName}

Returns the display name, contact details, Microsoft Partner Network ID, status and creation date of the tenant, and whether the 2025 Microsoft Customer Agreement is accepted.

Path parameters

serviceName
required
string

Service name

Response

200OfficeTenantWithIAMsuccessful operation
address
string

Contact's address line

city
string

Contact's city

creationDate
read-only
stringdate-time

Creation date

displayName
string

Tenant's display name

email
string

Contact's email address

firstName
string

Contact's first name

hasAcceptedNewMCA
read-only
boolean

Whether or not the 2025 Microsoft Customer Agreement was properly accepted

iam
read-only
ResourceMetadata

IAM resource metadata

lastName
string

Contact's last name

mpnId
string

Microsoft Partner Network identifier linked to this tenant

mpnIssueFlag
read-only
string

Code of any detected issue regarding the MPN Id

phone
phoneNumber

Primary phone number

serviceName
read-only
string

Internal service name

status
read-only
ServiceStateEnum

Tenant's status

ValuescreatinginMaintenanceoksuspendedsuspending
zipCode
string

Contact's zip code

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/saas/csp2/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "address": "string", "city": "string", "creationDate": "2024-01-01T12:00:00Z", "displayName": "string", "email": "string", "firstName": "string", "hasAcceptedNewMCA": true, "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "lastName": "string", "mpnId": "string", "mpnIssueFlag": "string", "phone": "string", "serviceName": "string", "status": "creating", "zipCode": "string"}

Update a tenantAlpha

PUT
/1.0/saas/csp2/{serviceName}

Updates the display name, the contact details and the Microsoft Partner Network ID (mpnId) of the tenant.

Path parameters

serviceName
required
string

Service name

Request body (required)

address
string

Contact's address line

city
string

Contact's city

creationDate
read-only
stringdate-time

Creation date

displayName
string

Tenant's display name

email
string

Contact's email address

firstName
string

Contact's first name

lastName
string

Contact's last name

phone
phoneNumber

Primary phone number

serviceName
read-only
string

Internal service name

status
read-only
ServiceStateEnum

Tenant's status

ValuescreatinginMaintenanceoksuspendedsuspending
zipCode
string

Contact's zip code

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/saas/csp2/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

Get service informationBeta

GET
/1.0/saas/csp2/{serviceName}/serviceInfos

Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.

Path parameters

serviceName
required
string

The unique identifier of your Office service

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/saas/csp2/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update service informationBeta

PUT
/1.0/saas/csp2/{serviceName}/serviceInfos

Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.

Path parameters

serviceName
required
string

The unique identifier of your Office service

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/saas/csp2/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"